<template>
  <div class='default-layouts'>
    <base-header/>
    <main>
      <Nuxt />
    </main>
    <base-footer />
    <base-modal
      :is-open='showForm'
      class='modal-sign-in'
      @close='closeSignInModal'
    >
      <template #main>
        <p class='modal-sign-in__name'>Sign In</p>
        <base-input
          v-model='mail'
          :label='"Mail"'
          class='modal-sign-in__input'
        />
        <base-input
          v-model='password'
          :label='"Password"'
          class='modal-sign-in__input'
          type='password'
        />
      </template>

      <template #footer>
        <div class='modal-sign-in__footer'>
          <base-button class='modal-sign-in__log-in' shaded>
            Log In
          </base-button>
          <span >or</span>
          <nuxt-link :to="localePath('/sign-up')" @click.native='closeSignInModal'>
            <base-button class='modal-sign-in__sign-up'>
              Don’t have an account yet?
              <span>Sign up</span>
            </base-button>
          </nuxt-link>
        </div>
      </template>
    </base-modal>
    <feedback-form />
  </div>
</template>
<script>
import { mapActions, mapGetters } from 'vuex'
import BaseHeader from '../components/base/BaseHeader'
import BaseFooter from '../components/base/BaseFooter'
import BaseModal from '../components/base/BaseModal'
import BaseInput from '../components/base/BaseInput'
import BaseButton from '../components/base/BaseButton'
import FeedbackForm from '../components/modal/FeedbackForm'
export default {
  components: { FeedbackForm, BaseButton, BaseInput, BaseModal, BaseHeader, BaseFooter },

  data() {
    return {
      mail: '',
      password: ''
    }
  },

  computed: {
    ...mapGetters({
      showForm: 'getSignInForm'
    })
  },

  methods: {
    ...mapActions({
      toggleSignInForm: 'toggleShowSignInForm'
    }),

    closeSignInModal() {
      this.toggleSignInForm(false)
      this.mail = ''
      this.password = ''
    },

    openSignInModal() {
      this.toggleSignInForm(true)
    }
  }
}
</script>

<style lang='scss' scoped>
.default-layouts {
  overflow: hidden;
}

.modal-sign-in {
  min-width: 400px;

  &__name {
    margin: 30px auto;
    width: 100%;
    display: inline-flex;
    justify-content: center;
    font-size: 20px;
    line-height: 20px;
  }

  &__input {
    margin-bottom: 15px;
    width: 350px;

    &:last-child {
      margin-bottom: 25px;
    }
  }

  &__footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;

    & > span {
      color: #B0B6BE;
      text-transform: uppercase;
    }

    a {
      width: 100%;
    }
  }

  &__log-in {
    width: 100%;
    justify-content: center;
    padding: 12px 30px;
    margin-bottom: 15px;
    border-radius: 4px;
  }

  &__sign-up {
    width: 100%;
    justify-content: center;
    padding: 12px 30px;
    border-radius: 4px;
    margin-top: 15px;
    background: white;
    border: 1px solid #B0B6BE;
    color: #242424;

    span {
      color: #0066FF;
      margin-left: 5px;
    }

    &::before {
      display: none;
    }

    &:hover {
      border-color: gray;
    }
  }
}
</style>

<style lang='scss'>

.modal-sign-in > div {
  &::after {
    content: '';
    width: 95px;
    height: 38px;
    position: absolute;
    top: -65px;
    left: 49%;
    transform: translateX(-50%) scale(1.2);
    background-image: url("../assets/img/logo.svg");
    background-repeat: no-repeat;
    background-position: center;
    object-fit: cover;
    z-index: 100;
  }
}

.modal-sign-in__input > label {
  color: #242424;
}
</style>
